org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential

## Class CredentialTraversalSourceDsl

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential.CredentialTraversalSourceDsl

- All Implemented Interfaces:
    AutoCloseable, Cloneable, TraversalSource
  Direct Known Subclasses:
    CredentialTraversalSource

      public class CredentialTraversalSourceDsl
      extends GraphTraversalSource

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource

      `GraphTraversalSource.Symbols`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource

      `bytecode, connection, graph, strategies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialTraversalSourceDsl(Graph graph)`
    `CredentialTraversalSourceDsl(Graph graph, TraversalStrategies traversalStrategies)`
    `CredentialTraversalSourceDsl(RemoteConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphTraversal<Vertex,Vertex>` | `user(String username, String password)` Creates or updates a user.
    `GraphTraversal<Vertex,Vertex>` | `users()` Finds all users.
    `GraphTraversal<Vertex,Vertex>` | `users(String username, String... more)` Finds users by name.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource

      `addE, addE, addV, addV, addV, clone, close, E, getAnonymousTraversalClass, getBytecode, getGraph, getStrategies, inject, io, toString, tx, V, with, with, withBulk, withComputer, withComputer, withComputer, withoutStrategies, withPath, withSack, withSack, withSack, withSack, withSack, withSack, withSack, withSack, withSideEffect, withSideEffect, withSideEffect, withSideEffect, withStrategies`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialTraversalSourceDsl

          public CredentialTraversalSourceDsl(Graph graph,
                                              TraversalStrategies traversalStrategies)

    - #### CredentialTraversalSourceDsl

          public CredentialTraversalSourceDsl(Graph graph)

    - #### CredentialTraversalSourceDsl

          public CredentialTraversalSourceDsl(RemoteConnection connection)

  - ### Method Detail

    - #### users

          public GraphTraversal<Vertex,Vertex> users()

      Finds all users.

    - #### users

          public GraphTraversal<Vertex,Vertex> users(String username,
                                                     String... more)

      Finds users by name.

    - #### user

          public GraphTraversal<Vertex,Vertex> user(String username,
                                                    String password)

      Creates or updates a user.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.